with GNATCOM.Dispinterface;

package MSHTML.IHTMLLIElement_Interface is

   type IHTMLLIElement_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLLIElement_Type);

   function Pointer (This : IHTMLLIElement_Type)
     return Pointer_To_IHTMLLIElement;

   procedure Attach (This    : in out IHTMLLIElement_Type;
                     Pointer : in     Pointer_To_IHTMLLIElement);

   procedure Put_type
     (This : IHTMLLIElement_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_type
     (This : IHTMLLIElement_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_value
     (This : IHTMLLIElement_Type;
      p    : Interfaces.C.long);

   function Get_value
     (This : IHTMLLIElement_Type)
     return Interfaces.C.long;

end MSHTML.IHTMLLIElement_Interface;

